269 Product Results Found for "COIL"
All Filters
Expand Filters
Manufacturer
(261)
(3)
(5)
Product Range
(1)
(1)
(1)
(6)
(11)
(18)
(23)
(4)
Inductance
(1)
(1)
(3)
(5)
(2)
(5)
(9)
(6)
Inductor Construction
(49)
(220)
RMS Current (Irms)
(1)
(1)
(2)
(1)
(1)
(1)
(1)
(3)
Saturation Current (Isat)
(1)
(1)
(2)
(1)
(1)
(3)
(2)
(1)
DC Resistance Max
(7)
(8)
(2)
(1)
(1)
(1)
(3)
(1)
Inductance Tolerance
(234)
(2)
(32)
(1)
Inductor Type
(2)
Packaging
(268)
(1)
| Compare | Manufacturer Part No | Order Code | Manufacturer / Description | Availability | Price For | Price | Quantity | Product Range | Inductance | Inductor Construction | RMS Current (Irms) | Saturation Current (Isat) | DC Resistance Max | Inductance Tolerance |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
Each | 1+Rs.1,822.880 2+Rs.1,741.720 3+Rs.1,660.560 5+Rs.1,579.400 10+Rs.1,498.230 More Pricing... | AGP4233 Series | 47µH | Shielded | 34A | 16A | 2950µohm | ± 20% | ||||||
Each | 1+Rs.126.420 5+Rs.116.920 10+Rs.107.410 25+Rs.97.900 50+Rs.87.310 More Pricing... | RFB0807 Series | 2.7µH | Unshielded | 6.54A | 5.5A | 0.014ohm | ± 20% | ||||||
Each | 1+Rs.94.980 10+Rs.80.740 25+Rs.73.370 50+Rs.65.330 100+Rs.57.290 More Pricing... | DR0608 Series | 5.6µH | Unshielded | 6.3A | 4.6A | 0.022ohm | ± 20% | ||||||
Each | 1+Rs.148.280 5+Rs.137.140 10+Rs.125.990 25+Rs.114.360 50+Rs.102.010 More Pricing... | RFC0810 Series | 330µH | Unshielded | 1A | 1.1A | 0.6ohm | ± 10% | ||||||
Each | 1+Rs.210.300 5+Rs.194.800 10+Rs.179.290 25+Rs.164.750 50+Rs.143.920 More Pricing... | RFS1317 Series | 47µH | Shielded | 4.5A | 3.9A | 0.055ohm | ± 10% | ||||||
Each | 1+Rs.210.300 5+Rs.194.800 10+Rs.179.290 25+Rs.164.750 50+Rs.143.920 More Pricing... | RFS1317 Series | 2.2mH | Shielded | 620mA | 560mA | 2.01ohm | ± 10% | ||||||
Each | 1+Rs.104.670 5+Rs.96.730 10+Rs.88.780 25+Rs.80.640 50+Rs.71.820 More Pricing... | RFC0807 Series | 2.2mH | Unshielded | 260mA | 430mA | 6.9ohm | ± 10% | ||||||
Each | 1+Rs.148.280 5+Rs.137.140 10+Rs.125.990 25+Rs.114.360 50+Rs.102.010 More Pricing... | RFC0810 Series | 100µH | Unshielded | 1.7A | 2A | 0.21ohm | ± 10% | ||||||
Each | 1+Rs.94.980 10+Rs.80.740 25+Rs.73.370 50+Rs.65.330 100+Rs.57.290 More Pricing... | DR0608 Series | 33µH | Unshielded | 2.9A | 1.7A | 0.12ohm | ± 10% | ||||||
Each | 1+Rs.210.300 5+Rs.194.800 10+Rs.179.290 25+Rs.164.750 50+Rs.143.920 More Pricing... | RFS1317 Series | 330µH | Shielded | 1.9A | 1.5A | 0.286ohm | ± 10% | ||||||
Each | 1+Rs.146.340 5+Rs.135.200 10+Rs.124.060 25+Rs.114.360 50+Rs.101.470 More Pricing... | RFC1010 Series | 470µH | Unshielded | 1A | 1.25A | 0.725ohm | ± 10% | ||||||
Each | 1+Rs.149.260 5+Rs.138.110 10+Rs.126.960 25+Rs.117.280 50+Rs.103.810 More Pricing... | RFB1010 Series | 330µH | Unshielded | 1.4A | 1.1A | 0.57ohm | ± 10% | ||||||
Each | 1+Rs.146.340 5+Rs.135.200 10+Rs.124.060 25+Rs.114.360 50+Rs.101.470 More Pricing... | RFC1010 Series | 15mH | Unshielded | 170mA | 230mA | 19.5ohm | ± 10% | ||||||
Each | 1+Rs.231.620 5+Rs.214.670 10+Rs.197.710 25+Rs.182.200 50+Rs.157.000 More Pricing... | RFS1412 Series | 100µH | Shielded | 3.25A | 2A | 0.091ohm | ± 10% | ||||||
Each | 1+Rs.148.280 5+Rs.137.140 10+Rs.125.990 25+Rs.114.360 50+Rs.102.010 More Pricing... | RFC0810 Series | 33µH | Unshielded | 3A | 3.5A | 0.075ohm | ± 10% | ||||||
Each | 1+Rs.146.340 5+Rs.135.200 10+Rs.124.060 25+Rs.114.360 50+Rs.101.470 More Pricing... | RFC1010 Series | 1mH | Unshielded | 700mA | 900mA | 1.4ohm | ± 10% | ||||||
Each | 1+Rs.146.340 5+Rs.135.200 10+Rs.124.060 25+Rs.114.360 50+Rs.101.470 More Pricing... | RFC1010 Series | 18mH | Unshielded | 150mA | 210mA | 25ohm | ± 10% | ||||||
Each | 1+Rs.148.280 5+Rs.137.140 10+Rs.125.990 25+Rs.114.360 50+Rs.102.010 More Pricing... | RFC0810 Series | 68µH | Unshielded | 2.1A | 2.45A | 0.14ohm | ± 10% | ||||||
Each | 1+Rs.98.860 10+Rs.83.440 25+Rs.75.890 50+Rs.67.610 100+Rs.59.320 More Pricing... | DR0810 Series | 3.3µH | Unshielded | 9.5A | 8.9A | 0.01ohm | ± 20% | ||||||
Each | 1+Rs.210.300 5+Rs.194.800 10+Rs.179.290 25+Rs.164.750 50+Rs.143.920 More Pricing... | RFS1317 Series | 3.9mH | Shielded | 490mA | 410mA | 3.38ohm | ± 10% | ||||||
Each | 1+Rs.146.340 5+Rs.135.200 10+Rs.124.060 25+Rs.114.360 50+Rs.101.470 More Pricing... | RFC1010 Series | 10mH | Unshielded | 210mA | 290mA | 15.5ohm | ± 10% | ||||||
Each | 1+Rs.102.660 10+Rs.87.070 25+Rs.79.090 50+Rs.70.440 100+Rs.61.790 More Pricing... | DR0810 Series | 1mH | Unshielded | 550mA | 500mA | 2.2ohm | ± 10% | ||||||
Each | 1+Rs.93.150 5+Rs.84.740 10+Rs.76.330 25+Rs.66.640 50+Rs.61.220 More Pricing... | 1300R Series | 22mH | Unshielded | 70mA | 70mA | 48ohm | ± 10% | ||||||
Each | 1+Rs.210.300 5+Rs.194.800 10+Rs.179.290 25+Rs.164.750 50+Rs.143.920 More Pricing... | RFS1317 Series | 82µH | Shielded | 3.9A | 2.8A | 0.071ohm | ± 10% | ||||||
Each | 1+Rs.103.700 10+Rs.87.610 25+Rs.79.670 50+Rs.70.950 100+Rs.62.230 More Pricing... | DR0810 Series | 33µH | Unshielded | 3.9A | 2.9A | 0.08ohm | ± 10% | ||||||










